.TH "mca_btl_base_segment_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_base_segment_t \- Describes a region/segment of memory that is addressable by an BTL.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "ompi_ptr_t \fBseg_addr\fP"
.br
.ti -1c
.RI "uint32_t \fBseg_len\fP"
.br
.ti -1c
.RI "union {"
.br
.ti -1c
.RI "   uint32_t \fBkey32\fP [2]"
.br
.ti -1c
.RI "   uint64_t \fBkey64\fP"
.br
.ti -1c
.RI "   uint8_t \fBkey8\fP [8]"
.br
.ti -1c
.RI "} \fBseg_key\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Describes a region/segment of memory that is addressable by an BTL. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
